field_test gem for Ruby 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1661842 漏洞类型 输入验证错误
发布时间 2019-07-02 更新时间 2019-07-02
CVE编号 CVE-2019-13146 CNNVD-ID CNNVD-201907-503
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://www.securityfocus.com/bid/109114
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201907-503
|漏洞详情
Ruby field_test gem 0.3.0版本中存在SQL注入漏洞。该漏洞源于基于数据库的应用缺少对外部输入SQL语句的验证。攻击者可利用该漏洞执行非法SQL命令。
|受影响的产品
RubyGems field_test 0.3.1
|参考资料

来源:rubygems.org

链接:https://rubygems.org/gems/field_test


来源:github.com

链接:https://github.com/ankane/field_test/issues/17


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-13146